Increment the number value stored at `path` by `number`

[Examples](#examples)

## Required arguments

<details open><summary><code>key</code></summary> 

is key to modify.
</details>

<details open><summary><code>path</code></summary> 

is JSONPath to specify.
</details>

<details open><summary><code>value</code></summary> 

is number value to increment. 
</details>

## Return 

JSON.NUMINCRBY returns a bulk string reply specified as a stringified new value for each path, or `nil`, if the matching JSON value is not a number. 
For more information about replies, see [Redis serialization protocol specification](/docs/reference/protocol-spec). 

## Examples

<details open>
<summary><b>Increment number values</b></summary>

Create a document.

{{< highlight bash >}}
redis> JSON.SET doc . '{"a":"b","b":[{"a":2}, {"a":5}, {"a":"c"}]}'
OK
{{< / highlight >}}

Increment a value of `a` object by 2. The command fails to find a number and returns `null`.

{{< highlight bash >}}
redis> JSON.NUMINCRBY doc $.a 2
"[null]"
{{< / highlight >}}

Recursively find and increment a value of all `a` objects. The command increments numbers it finds and returns `null` for nonnumber values.

{{< highlight bash >}}
redis> JSON.NUMINCRBY doc $..a 2
"[null,4,7,null]"
{{< / highlight >}}

</details>

## See also

`JSON.ARRINDEX` | `JSON.ARRINSERT` 

## Related topics

* [RedisJSON](/docs/stack/json)
* [Index and search JSON documents](/docs/stack/search/indexing_json)
